summaryrefslogtreecommitdiffstats
path: root/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/setup.sh b/setup.sh
index add68a4..8d67d6d 100755
--- a/setup.sh
+++ b/setup.sh
@@ -73,7 +73,17 @@ case "$action" in
fi
apply playbooks/openshift-setup-apps.yml --extra-vars "$vars" "$@" || exit 1
;;
- templates|project_templates)
+ templates)
+ if [ -n "$1" ]; then
+ ./setup.sh -i $inventory project_templates "$@" || exit 1
+ else
+ ./setup.sh -i $inventory global_templates "$@" || exit 1
+ fi
+ ;;
+ global_templates)
+ apply playbooks/openshift-setup-resources.yml "$@" || exit 1
+ ;;
+ project_templates)
[ -n "$1" ] || { usage 'project name should be specified...' ; exit 1; }
vars="ands_configure_project=$1"